Skip to main content
Version: V3.0

Notice Service API


Configure Notice URL

Request URL

POST /api/v1.0/invoke/open-ability/method/general-commands

Request Parameter

Parameter NameTypeLocationRequiredDescription
Content-TypeStringHeaderYesContent type, the value is application/json
AcceptStringHeaderYesAccept, the value is application/json
AuthorizationStringHeaderYesBearer authorization, access token
commandStringBodyYesCommand name
idStringBodyYesCommand ID
paramObject<param>BodyYesCommand parameter

param description

Parameter NameTypeLocationRequiredDescription
notice_urlStringBodyYesNotice URL
custom[]Object<custom>BodyNoCustom information

custom description

Parameter NameTypeLocationRequiredDescription
notice_typeStringBodyNoNotice type
family: listen notice of changes in family
account: listen notice of changes in account
device: listen notice of changes in device
space: listen notice of changes in space
scene: listen notice of changes in scene
communication: listen notice of changes in communication
maintenance: listen notice of changes in maintenance
booking: listen notice of changes in booking
general_device: listen notice of changes in general device
notice_urlStringBodyNoNotice URL

Return Parameter

Parameter NameTypeLocationDescription
Content-TypeStringHeaderContent type, the value is application/json
successBooleanBodyWhether the request is successful or not?
true: success
false: failure
timestampIntegerBodyTimestamp
resultObjectBodyReturn result

Request Example

POST /api/v1.0/invoke/open-ability/method/general-commands

Content-Type: application/json

Accept: application/json

Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9

{
"command": "configure_notice_url",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"notice_url": "https://demo.akubela.com"
}
}

Success Return Example

Status Code: 200

Content-Type: application/json

{
"success": true,
"timestamp": 1540869200562,
"result": {}
}

Failure Return Example

See Failure Return Example